Skip to main content
 print this page

Create a user agreement

POST 

/user-agreements

Creates a new user agreement. Requires system-settings.fullaccess. The body must include AgreementName, Description, and TermsOfUse and no other keys (IPV-1008). AgreementName must be 3-120 characters, start with a letter, use only letters, digits, and underscores, and be unique case-insensitively (IPV-1004, IPV-1018).TermsOfUse is the markdown file as a base64 string; it is stored and a new Version (unix epoch seconds) is returned. Repeating the same body creates a new version unless the name already exists.

Request

Responses

Fixed Message plus Version unix-epoch string used as the DynamoDB GSI key and S3 object name.

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers